summaryrefslogtreecommitdiffstats
path: root/etc/rc.d/jail
diff options
context:
space:
mode:
authormatteo <matteo@FreeBSD.org>2006-05-30 16:07:59 +0000
committermatteo <matteo@FreeBSD.org>2006-05-30 16:07:59 +0000
commitbb69a4c72359a0776867cb699e6d3f3de51373a5 (patch)
treef0bb795c0cb86b5e5f6b1752881113287560f9b4 /etc/rc.d/jail
parent13f50bf79abe1aebe9ef5cceaf685ff3c6ea54a9 (diff)
downloadFreeBSD-src-bb69a4c72359a0776867cb699e6d3f3de51373a5.zip
FreeBSD-src-bb69a4c72359a0776867cb699e6d3f3de51373a5.tar.gz
style(9)
Diffstat (limited to 'etc/rc.d/jail')
-rw-r--r--etc/rc.d/jail24
1 files changed, 12 insertions, 12 deletions
diff --git a/etc/rc.d/jail b/etc/rc.d/jail
index f0b23b1..c2636b5 100644
--- a/etc/rc.d/jail
+++ b/etc/rc.d/jail
@@ -221,19 +221,19 @@ jail_start()
_tmp_jail=${_tmp_dir}/jail.$$
eval jail ${_flags} -i ${_rootdir} ${_hostname} \
${_ip} ${_exec_start} > ${_tmp_jail} 2>&1
- if [ "$?" -eq 0 ] ; then
- echo -n " $_hostname"
- _jail_id=$(head -1 ${_tmp_jail})
- tail +2 ${_tmp_jail} >${_rootdir}/var/log/console.log
- echo ${_jail_id} > /var/run/jail_${_jail}.id
- else
- jail_umount_fs
- if [ -n "${jail_interface}" ]; then
- ifconfig ${jail_interface} -alias ${jail_ip}
- fi
- echo " cannot start jail \"${_jail}\": "
- tail +2 ${_tmp_jail}
+ if [ "$?" -eq 0 ] ; then
+ echo -n " $_hostname"
+ _jail_id=$(head -1 ${_tmp_jail})
+ tail +2 ${_tmp_jail} >${_rootdir}/var/log/console.log
+ echo ${_jail_id} > /var/run/jail_${_jail}.id
+ else
+ jail_umount_fs
+ if [ -n "${jail_interface}" ]; then
+ ifconfig ${jail_interface} -alias ${jail_ip}
fi
+ echo " cannot start jail \"${_jail}\": "
+ tail +2 ${_tmp_jail}
+ fi
rm -f ${_tmp_jail}
done
rmdir ${_tmp_dir}
OpenPOWER on IntegriCloud